ECFLOW_CLIENT(1)

NAME
ecflow_client - command-line client for interacting with ECFlow servers

SYNOPSIS
ecflow_client [OPTIONS] [SUBCOMMAND] [ARGS...]

DESCRIPTION
ecflow_client is a command-line tool for interacting with ECFlow servers. It allows users to submit, monitor, and control workflows, as well as query server status and job information.

OPTIONS

-h, --help
    Show help message and exit.

-v, --version
    Show version information and exit.

-s SERVER, --server=SERVER
    Specify the ECFlow server to connect to.

-p PORT, --port=PORT
    Specify the port number of the ECFlow server.

-u USER, --user=USER
    Specify the username for authentication.

-P PASSWORD, --password=PASSWORD
    Specify the password for authentication.

SUBCOMMANDS

submit FILE
    Submit a workflow definition file to the server.

status [PATH]
    Show the status of a workflow or node.

begin PATH
    Begin a suite, family, or task.

kill PATH
    Kill a running task or abort a suite.

query PATH
    Query information about a node.

log PATH
    Retrieve the log output of a task.

EXAMPLES

ecflow_client -s ecflow.example.com -p 3141 -u user submit workflow.def
    Submit a workflow definition file to the server.

ecflow_client -s ecflow.example.com status /suite/family
    Show the status of a workflow node.

ecflow_client -s ecflow.example.com begin /suite/family/task
    Begin a task.

ENVIRONMENT

ECFLOW_SERVER
    Default ECFlow server address.

ECFLOW_PORT
    Default ECFlow server port.

ECFLOW_USER
    Default username for authentication.

FILES

~/.ecflowrc
    Configuration file for default settings.

SEE ALSO
ecflow(1), ecflow_ui(1)

BUGS
Report bugs to the ECFlow issue tracker.

AUTHOR
Alastair McKinstry <mckinstry@debian.org>